> For the complete documentation index, see [llms.txt](https://docs.autoenhance.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autoenhance.ai/orders/managing-orders/deleting.md).

# Deleting

This API endpoint allows you to delete orders that you own. To delete an order, you must provide the `order_id` and a valid API key.

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const orderId = "ID_OF_YOUR_ORDER";
const apiKey = "YOUR_API_KEY";

const deleteOrder = async (orderId, apiKey) => {
    const deleteOrderResponse = await fetch(
      `https://api.autoenhance.ai/v3/orders/${orderId}`,
      { 
        method: "DELETE",
        headers: {
          "x-api-key": apiKey,  
        }
      }
    );
}
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

order_id = "ID_OF_YOUR_ORDER"
api_key = "YOUR_API_KEY"

def delete_order(order_id, api_key):
    url = f"https://api.autoenhance.ai/v3/orders/{order_id}"
    headers = {
        "x-api-key": api_key
    }
    
    response = requests.delete(url, headers=headers)
```

{% endtab %}

{% tab title="PHP" %}

```php
$orderId = "ID_OF_YOUR_ORDER";
$apiKey = "YOUR_API_KEY";

function deleteOrder($orderId, $apiKey) {
    $url = "https://api.autoenhance.ai/v3/orders/$orderId";
    $options = array(
        'http' => array(
            'header'  => "Content-Type: application/json\r\n" .
                         "x-api-key: $apiKey\r\n",
            'method'  => 'DELETE'
        )
    );
    $context = stream_context_create($options);
    $result = file_get_contents($url, false, $context);
    if ($result === FALSE) {
        echo "Error deleting order";
    } else {
        echo "Order deleted successfully";
    }
}
```

{% endtab %}

{% tab title="cURL" %}

```
curl -X DELETE \
  'https://api.autoenhance.ai/v3/orders/ID_OF_YOUR_ORDER' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY'
```

{% endtab %}
{% endtabs %}

### Specification

## Delete Order

> Deletes the specific order.

```json
{"openapi":"3.0.3","info":{"title":"Autoenhance API","version":"2026-10-01"},"tags":[{"name":"Orders"}],"servers":[{"url":"http://api:8080"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"HTTPError":{"properties":{"detail":{"type":"object"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/v3/orders/{id}":{"delete":{"description":"Deletes the specific order.","operationId":"delete_order","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Authentication error"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}},"description":"Not found"}},"summary":"Delete Order","tags":["Orders"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.autoenhance.ai/orders/managing-orders/deleting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
